
Lookup Editor - Bug #2035

Spaces permitted in filename and causes errors. Two or more spaces causes a 404.

08/29/2017 07:55 PM - Jeff H

Status: Closed Start date: 08/29/2017

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.7.1   

Description

While users probably should never use spaces (_ and - are more enjoyable), Core Splunk does not permit spaces in filenames. The

lookup editor DOES allow spaces. While we are working to train users, our huge user-base and sometimes a high turnover causes

ongoing issues with Files Not Found, etc. Splunk 6.6.2 required lookups with spaces to not only be quoted but must usually pipe into

NOOP and disable auto optimization. Otherwise, Lookups are not found in search, either. Spaces in filenames also adds additional

challenges when working from CLI.

History

#1 - 08/29/2017 08:14 PM - Luke Murphey

- Target version set to 2.7.1

#2 - 08/29/2017 08:16 PM - Luke Murphey

Good catch. This is to be fixed in the next release.

#3 - 09/04/2017 04:26 AM - Luke Murphey

- Status changed from New to Closed

#4 - 09/04/2017 04:52 AM - Luke Murphey

- % Done changed from 0 to 100
